[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#677202: biber packages version 0.9.9+git2012426-3 is beta and requires beta version of biblatex

Dear Danai, dear Jan,

How do we go forward with that? It is a bit a pain, I agree.
You two guys should agree on what you are shipping.

Just for completeness: TeX Live 2012 is shipping:
biblatex 1.7
biber 0.9.9

So my tendency is to ship biber 0.9.9 also in Debian, but I leave
it completeley up to you guys.

But please take action SOON!!!



On Di, 12 Jun 2012, Miguel Telleria de Esteban wrote:
> Package: biber
> Version: 0.9.9+git2012426-3
> Severity: grave
> Justification: renders package unusable
> Dear all,
> Overview
> --------
> With the current Sid situation (even close to release) we have a
> conflict between the versions of biber and biblatex.  Both come from
> the same upstream author but are handled by different Debian Teams and
> maintainers (Perl and Tex teams respectively).
> Fortunately, the situation is easy to fix by either downgrading biber
> package version (to the latest official 0.9.9 version) or upgrading
> biblatex to the 2.0 beta version.  I have tested both scenarios and
> both of them work fine.
> How to reproduce the bug
> ------------------------
> In the current Sid scenario take a latex-biber document and perform:
> pdflatex <file.tex>
> biber <file>
> pdflatex <file.tex>
> and you will obtain the following error at the 2nd latex invocation:
> ! Undefined control sequence.
> l.22   \sortlist
>   {entry}{}
> (besides you also obtained warnings like this
> Use of uninitialized value $llabel in concatenation (.) or string at
> /usr/share/perl5/Biber.pm
>     in the biber invocation).
> Further evidence that this is a version conflict
> ------------------------------------------------
> *   Using biber --version reports 1.0 (beta), and going to the
>     upstream site it says that biber 1.0 version requires biblatex
>     beta version as well.
>     http://sourceforge.net/projects/biblatex-biber/files/
> *   The \sortlist undefined control sequence is reported to be a
>     symptom of this version incompatibility.
>     http://sourceforge.net/tracker/?func=detail&aid=3520829&group_id=228270&atid=1073792
> Possible solutions
> ------------------
> I propose two scenarios (to be discuseed with upstream author between
> the Perl and Tex Debian teams):
> A)  Beta versions in Sid:
>     -  Package the biblatex 2.0 beta in Sid replacing the 1.7.1 version.
> B)  Official versions in Sid, beta versions in experimental.
>     Move this biber version 0.9.9+git2012426-3 to experimental and
>     downgrade the biber Sid version to 0.9.9 from either sourceforge
>     or upstream git repository using the v0.9.9 tag.
>     Optionally package biblatex 2.0beta in experimental.
> Regards,
>      Miguel Telleria

Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
`Er, hey Earthman...'
`Arthur,' said Arthur.
`Yeah, could you just sort of keep this robot with you and
guard this end of the passageway. OK?'
What from? You just said there's no
one here.'
`Yeah, well, just for safety, OK?' said Zaphod.
`Whose? Yours or mine?'
                 --- Arthur drawing the short straw on Magrathea.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy

Reply to: